package com.gyee.wisdom.alarm.sharding.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.wisdom.alarm.sharding.entity.AlarmCount;
import com.gyee.wisdom.alarm.sharding.entity.AlarmStat;
import com.gyee.wisdom.alarm.sharding.entity.Windturbine;
import com.gyee.wisdom.alarm.sharding.model.WindturbineExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;


@Mapper
public interface WindturbineMapper extends BaseMapper<Windturbine> {
    List<Windturbine> selectWindturbines();

    Windturbine selectByPrimaryKey(@Param("id")String id);

    List<Windturbine> selectWindturbineByCondition(@Param("stationId") String stationId,
                                        @Param("modelId") String modelId);

    List<Windturbine> selectWindturbineByCondition2(@Param("stationId") String stationId);

    List<Windturbine> selectByExample(WindturbineExample example);
}
